/**
 * 列表组件，支持上拉记载
 *
 * @filename: packages/react-components/src/components/List/index.tsx
 * @author: Mr Prince
 * @date: 2022-09-24 13:30:20
 */
import { Component } from 'react';
import { ListProps } from './types';
declare class List<T> extends Component<ListProps<T>> {
    /**
     * 列表
     */
    private fixedSizeListRef;
    /**
     * 无限加载
     */
    private infiniteLoaderRef;
    private loadLock;
    /**
     * 缓存重置: 重新加载所有项目
     * 排序发生变化或下拉刷新操作等
     */
    resetloadMoreItemsCache(autoload?: boolean): void;
    private getListRef;
    /**
     * 滚动到指定偏移处
     * @param offset 单位: 像素
     */
    scrollTo(offset: number): void;
    /**
     * 滚动到指定下标处
     * @param align 对齐方式
     */
    scrollToItem(index: number, align?: 'auto' | 'smart' | 'center' | 'end' | 'start'): void;
    private isItemLoaded;
    private loadMore;
    render(): JSX.Element;
}
export default List;
