export { CSSTransition } from 'react-transition-group';
import { FC, PropsWithChildren } from 'react';
declare type SwitchContainerProps = PropsWithChildren<{
    /**
     * 容器的宽高属性定义
     */
    className?: string;
    /**
     * 容器宽高定义
     */
    width?: number;
    height?: number;
    /**
     * 只有 state 奇偶性发生变化时
     * 才会触发切换效果
     */
    state?: number;
    /**
     * 动画结束回调
     */
    onAnimateEnd?: () => void;
}>;
export declare const SwitchContainer: FC<SwitchContainerProps>;
